> ## Documentation Index
> Fetch the complete documentation index at: https://docs.speccheckrx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Lens Addons

> Returns lens add-ons for a lab for a given lens style and material.

```http theme={null}
GET https://api.speccheckrx.com/v1/catalogs/addons
```

### Authentication

This endpoint requires bearer token authentication.

### Headers

<ParamField header="Authorization" type="string" required="true">
  Your bearer token in the format `Bearer <token>`.
</ParamField>

<ParamField header="User-Email" type="string" required="true">
  The email address of the user making the request.

  Must exactly match the email address used to log in to the SpecCheck Dashboard.
</ParamField>

### Parameters

<ParamField query="lab" type="string" required="true">
  The ID of the lab for this request.
</ParamField>

<ParamField query="account_number" type="string" required="true">
  The lab account number for this request.
</ParamField>

<ParamField query="style" type="string" required="true">
  The ID of the lens style.
</ParamField>

<ParamField query="material" type="string" required="true">
  The ID of the lens material.
</ParamField>

### Returns

Returns an object with a `data` object containing `coats`, `tints`, and `colors`.

<ResponseField name="data" type="object">
  <Expandable title="Lens addons">
    <ResponseField name="coats" type="array of Coat Object">
      <Expandable title="Coat">
        <ResponseField name="id" type="string">
          The unique identifier for the coat.
        </ResponseField>

        <ResponseField name="name" type="string">
          The name of the coat.
        </ResponseField>

        <ResponseField name="type" type="string or null">
          The type of coat. Returns `null` when not set.

          Possible enum values:

          * `ar`
          * `mirror`
          * `scratch`
          * `uv`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="colors" type="array of Color Object">
      <Expandable title="Color">
        <ResponseField name="id" type="string">
          The unique identifier for the color.
        </ResponseField>

        <ResponseField name="name" type="string">
          The name of the color.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="tints" type="array of string">
      Tints available for the lab.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "data": {
      "coats": [
        {
          "id": "coat_123",
          "name": "Anti-Reflective Coating",
          "type": "ar"
        }
      ],
      "colors": [
        {
          "id": "color_123",
          "name": "Crystal Gray"
        }
      ],
      "tints": ["Gray", "Brown"]
    }
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash theme={null}
  curl "https://api.speccheckrx.com/v1/catalogs/addons?lab={{LAB_ID}}&account_number={{ACCOUNT_NUMBER}}&style={{STYLE_ID}}&material={{MATERIAL_ID}}" \
    -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
    -H "User-Email: {{USER_EMAIL}}"
  ```
</RequestExample>
